import Tool from "./tool";
import RedoIcon from "../../images/tools/delete.png";
import { Editor } from "../components/editor";

export default class RedoTool extends Tool {
    constructor(key) {
        super("Redo", RedoIcon, key);
    }

    onToolActivate() {
        Editor.globalGraph.redo();
        Editor.globalState.setTool(Editor.globalState.previousTool);
    }
}
